.currency-box {
  padding: 32px;
  background: white;
  border-radius: 24px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
  direction: rtl;
  text-align: right;
}

.converter-form {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 8px;
}

.converter-section {
  flex: 1;
  display: flex;
  max-width: 100%;
}

.converter-section.center {
  justify-content: center;
  flex: 0 0 auto;
}

.converter-section input {
  flex: 1;
  padding: 8px;
  font-size: 14px;
  border-radius: 0 16px 16px 0;
  border: 1px solid #ccc;
}

.custom-select-wrapper {
  position: relative;
  flex: 1;
}

.custom-select {
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 16px 0 0 16px;
  padding: 8px;
  font-size: 14px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.custom-select img {
  width: 20px;
  height: 14px;
  object-fit: contain;
  margin-left: 8px;
}

.options {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  background: #fff;
  border: 1px solid #ccc;
  border-radius: 8px;
  max-height: 200px;
  overflow-y: auto;
  z-index: 9999;
  display: none;
}

.option {
  padding: 8px;
  cursor: pointer;
  display: flex;
  align-items: center;
}

.option img {
  width: 20px;
  height: 14px;
  object-fit: contain;
  margin-left: 8px;
}

.option:hover {
  background-color: #f0f0f0;
}

#reverse-btn {
  font-size: 24px;
  padding: 8px 12px;
  background-color: #d0a932;
  color: white;
  border: none;
  border-radius: 16px;
  cursor: pointer;
  transition: 0.3s;
}

#reverse-btn:hover {
  background-color: #b7902c;
}

.result {
  margin-top: 15px;
  font-weight: bold;
}

  @media (max-width: 768px) {
.converter-form {
flex-direction: column;
align-items: stretch;
}

.converter-section {
width: 100%;
flex-direction: row;
display: flex;
gap: 0;
}

.converter-section.center {
justify-content: center;
width: 100%;
flex: none;
margin: 8px 0;
}

.converter-section input {
flex: 1;
border-radius: 0 16px 16px 0;
}

.custom-select-wrapper {
flex: 1;
}

.custom-select {
border-radius: 16px 0 0 16px;
width: 100%;
  height: 100%;
}

#reverse-btn {
width: 100%;
}
}